Skip to main content
Blackboard Help

Authentication Provider Considerations When Upgrading to SP8 and Later

When upgrading from SP7 or earlier to SP8, some existing provider types are updated automatically to use the new authentication framework. These migrated providers include the default Learn Internal provider and LDAP. If your Active configured provider is not on the migrated list, it remains Active and functions as a Legacy Authentication Provider.

Using the Legacy Authentication Provider enables you to manage authentication just as it was managed in release SP7 and earlier, using the bb-config and files.

To learn more about using the files, see Authentication Help for Blackboard Learn SP7 and Earlier.

It is recommended when creating new authentication providers to use the Building Block authentication framework and rewrite any custom authentication modules to use the new framework. If this is not viable, you can use the legacy framework to manage authentication.